## Name

gfrm — remove Gfarm files, directories, or file replicas

## Synopsis

`gfrm` [-frn] [-h `filesystem-node`] [-D `domain-name`] `gfarm-URL`...

## DESCRIPTION

gfrm removes each specified file. It does not remove directories unless the `-r` option is specified.

With the `-h` or `-D` option, gfrm removes file replicas on the specified filesystem node(s). A file replica cannot be removed when the number of replicas is less than gfarm.ncopy or gfarm.replicainfo extended attribute.

## OPTIONS

`-f`

  Ignores no such file or directory error.

`-n`

  Prints file names to be deleted, but does not delete them.

`-r`

  Removes all entries under the directories specified by the command-line argument recursively.

`-h` `filesystem-node`

  Specifies a filesystem node from which file replicas will be removed.

`-D` `domain-name`

  Specifies a domain name of filesystem nodes on which file replicas will be removed.

`-?`

  Displays a list of command options.

## SEE ALSO

gfncopy(1), gfarm_attr(5)